## LassoSaml2AuthzDecisionStatement

LassoSaml2AuthzDecisionStatement — <saml2:AuthzDecisionStatement>

## Functions

LassoNode * | lasso_saml2_authz_decision_statement_new ()

## Types and Values

struct | LassoSaml2AuthzDecisionStatement

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2StatementAbstract
                ╰── LassoSaml2AuthzDecisionStatement

## Description

Figure 53. Schema fragment for saml2:AuthzDecisionStatement

    <complexType name="AuthzDecisionStatementType">
      <complexContent>
        <extension base="saml:StatementAbstractType">
          <sequence>
            <element ref="saml:Action" maxOccurs="unbounded"/>
            <element ref="saml:Evidence" minOccurs="0"/>
          </sequence>
          <attribute name="Resource" type="anyURI" use="required"/>
          <attribute name="Decision" type="saml:DecisionType" use="required"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml2_authz_decision_statement_new ()

    LassoNode *
    lasso_saml2_authz_decision_statement_new
                                   (void);

Creates a new LassoSaml2AuthzDecisionStatement object.

#### Returns

a newly created LassoSaml2AuthzDecisionStatement object

## Types and Values

### struct LassoSaml2AuthzDecisionStatement

    struct LassoSaml2AuthzDecisionStatement {
    	/* elements */
    	LassoSaml2Action *Action;
    	LassoSaml2Evidence *Evidence;
    	/* attributes */
    	char *Resource;
    	char *Decision;
    };